package org.ow2.bonita.connector.util;

import java.util.List;

import org.ow2.bonita.connector.Connector;
import org.ow2.bonita.connector.ConnectorError;
import org.ow2.bonita.connector.annotation.Input;
import org.ow2.bonita.connector.annotation.Output;
import org.ow2.bonita.connector.annotation.Required;

public class ConcatStringConnector extends Connector {

  private String begin;
  private String end;
  private String result;

  public String getBegin() {
    return begin;
  }

  public String getEnd() {
    return end;
  }

  @Output
  public String getResult() {
    return result;
  }

  @Input @Required
  public void setBegin(String begin) {
    this.begin = begin;
  }

  @Input @Required
  public void setEnd(String end) {
    this.end = end;
  }

  public void setResult(String result) {
    this.result = result;
  }

  @Override
  protected void executeConnector() throws Exception {
    result = begin.concat(end);
  }

  @Override
  protected List<ConnectorError> validateValues() {
    return null;
  }
}
