package org.ow2.bonita.connector.util;

import java.util.List;

import org.ow2.bonita.connector.Connector;
import org.ow2.bonita.connector.ConnectorError;
import org.ow2.bonita.connector.annotation.Input;
import org.ow2.bonita.connector.annotation.Output;
import org.ow2.bonita.connector.annotation.Required;

public class ReplaceAllStringConnector extends Connector {

  private String string;
  private String regex;
  private String replacement;
  private String result;
  
  public String getString() {
    return string;
  }

  public String getRegex() {
    return regex;
  }

  public String getReplacement() {
    return replacement;
  }

  @Output
  public String getResult() {
    return result;
  }

  @Input @Required
  public void setString(String string) {
    this.string = string;
  }

  @Input @Required
  public void setRegex(String regex) {
    this.regex = regex;
  }

  @Input @Required
  public void setReplacement(String replacement) {
    this.replacement = replacement;
  }

  public void setResult(String result) {
    this.result = result;
  }

  @Override
  protected void executeConnector() throws Exception {
    result = string.replaceAll(regex, replacement);
  }

  @Override
  protected List<ConnectorError> validateValues() {
    return null;
  }
  
}
