package org.ow2.bonita.connector.util;

import java.util.List;

import org.ow2.bonita.connector.Connector;
import org.ow2.bonita.connector.ConnectorError;
import org.ow2.bonita.connector.annotation.Input;
import org.ow2.bonita.connector.annotation.Output;
import org.ow2.bonita.connector.annotation.Required;

public class ToLowerCaseStringConnector extends Connector {

  private String string;
  private String result;
  
  public String getString() {
    return string;
  }

  @Output
  public String getResult() {
    return result;
  }

  @Input @Required
  public void setString(String string) {
    this.string = string;
  }

  public void setResult(String result) {
    this.result = result;
  }

  @Override
  protected void executeConnector() throws Exception {
    result = string.toLowerCase();
  }

  @Override
  protected List<ConnectorError> validateValues() {
    return null;
  }
}
